Subject: Sparse Checkout Trouble (2.5.0)

From: "JunkYardMail1" <[email-masked]>
Date: Tue, 21 Jan 2020 16:42:02 -0800

I have a shallow repository clone and using sparse-checkout of just a
handful of directories.  When I upgraded from git version 2.24.1 to 2.25.0
some files not in the sparse-checkout were staged to be deleted.  The
directory path of these files contain the Windows reserved name of "prn".
Ex: "japanese/prn/. . ."  Unable to un-stage these files and reset the
changes.

.git/inof/Sparse-checkout:
!/*/
/*/directory-*/

Reverting back to the previous version (2.24.1) allowed to un-stage the
files and reset the changes.